<!-- eslint-disable -->
<i18n>
{
  "de": {
  },
  "fr": {
  },
  "it": {
  },
  "en": {
  }
}
</i18n>
<!-- eslint-enable -->

<template>
  <v-container class="landing px-5">
    <v-row class="loading" v-if="loading">
      <v-btn
        disabled
        loading
        plain
        x-large
      ></v-btn>
    </v-row>
    <div v-if="!loading">
      <HeroSection :data="hero[0]" />
      <ContentSection
        :content="item"
        :align="index % 2 == 0 ? 'left' : 'right'"
        :key="index"
        v-for="(item, index) in contentSections">
        </ContentSection>
      </div>
    <div class="strada"></div>
  </v-container>
</template>

<script>
import { marked } from 'marked';
import HeroSection from './landing/HeroSection.vue';
import ContentSection from './landing/ContentSection.vue';

export default {
  props: {
    fetchedData: [],
    loading: {
      type: Boolean,
      default: true
    }
  },

  data() {
    return {
      assetBaseUrl: process.env.VUE_APP_ASSETBASEURL,
      menu: null
    };
  },

  computed: {
    hero() {
      return this.fetchedData
        .filter(item => item.isHero)
        .map(item => ({
          content: this.parseMarkdown(item.content),
          image: `${this.assetBaseUrl}/media/${item.image}`
        }));
    },
    contentSections() {
      return this.fetchedData
        .filter(item => !item.isHero)
        .map(item => this.parseMarkdown(item.content));
      // .map((section) => { section.innerHTML.toString() } );
    }
  },

  methods: {
    parseMarkdown(markdown) {
      const renderer = {
        heading(text, level) {
          return `<h${level} class="text-h${level}">${text}</h${level}>`;
        },
        link(href, title, text) {
          let titleInsert = '';
          if (title) {
            titleInsert = ` title="${title}"`;
          }
          return `<a href="${href}"${titleInsert} target="_blank">${text}</a>`;
        },
        paragraph(text) {
          return `<p class="text-body-1">${text}</p>\n`;
        }
      };
      marked.use({ renderer });
      return marked.parse(markdown);
    }
  },

  components: { HeroSection, ContentSection }
};
</script>

<style>
.loading {
  text-align: center;
  height: 70vh;
  margin: 0;
  padding: 0;
  align-content: center;
  justify-content: center !important;
}
.landing {
  margin-top: -90px !important;
  max-width: 1440px;
}
.v-main__wrap {
  display: flex;
  justify-content: center;
}
.container .row {
  justify-content: start;
}
.strada {
  width: 100%;
  height: 3rem;
  background-image: url('/abriss_atlas_strada.png');
  background-position-x: center;
  background-position-y: bottom;
  background-size: cover;
  background-repeat: repeat-x;
  position: fixed;
  bottom: 0;
  left: 0;
  pointer-events: none;
}

@media only screen and (max-width: 960px) {
  .loading {
    height: 75vh;
  }
}
</style>
